## Software Licenses

Software Licenses —

## Functions

#define | XFCE_LICENSE_BSD
#define | XFCE_LICENSE_GPL
#define | XFCE_LICENSE_LGPL
const gchar * | xfce_get_license_text ()

## Types and Values

enum | XfceLicenseTextType

## Includes

    #include <libxfce4util/libxfce4util.h>

## Description

## Functions

### XFCE_LICENSE_BSD

    #define XFCE_LICENSE_BSD  (xfce_get_license_text (XFCE_LICENSE_TEXT_BSD))

Contains the text of the BSD license.

### XFCE_LICENSE_GPL

    #define XFCE_LICENSE_GPL  (xfce_get_license_text (XFCE_LICENSE_TEXT_GPL))

Contains the text of the GNU General Public License.

### XFCE_LICENSE_LGPL

    #define XFCE_LICENSE_LGPL (xfce_get_license_text (XFCE_LICENSE_TEXT_LGPL))

Contains the text of the GNU Lesser General Public License.

### xfce_get_license_text ()

    const gchar *
    xfce_get_license_text (XfceLicenseTextType license_type);

Returns the text of the software license specified in the `license_type` translated to the current language. If no translation is available, the english license text will be returned.

#### Parameters

license_type | an XfceLicenseTextType. |

#### Returns

the license text for `license_type` .

## Types and Values

### enum XfceLicenseTextType

The license text to return from `xfce_get_license_text()`.

#### Members

XFCE_LICENSE_TEXT_BSD | the BSD License. |
XFCE_LICENSE_TEXT_GPL | the GNU General Public License. |
XFCE_LICENSE_TEXT_LGPL | the GNU Lesser General Public License. |